com.salesforce.datacloud.jdbc.util

## Class VectorPopulator

- java.lang.Object
- - com.salesforce.datacloud.jdbc.util.VectorPopulator

    public final class VectorPopulator
    extends Object

Populates vectors in a VectorSchemaRoot with values from a list of parameters.

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `populateVectors(org.apache.arrow.vector.VectorSchemaRoot root, List<ParameterBinding> parameters, Calendar calendar)` Populates the vectors in the given VectorSchemaRoot.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### populateVectors

    public static void populateVectors(org.apache.arrow.vector.VectorSchemaRoot root,
                                       List<ParameterBinding> parameters,
                                       Calendar calendar)

Populates the vectors in the given VectorSchemaRoot.

Parameters:
  `root` - The VectorSchemaRoot to populate.